aboutsummaryrefslogtreecommitdiff
path: root/config/polybar/panels/scripts
diff options
context:
space:
mode:
Diffstat (limited to 'config/polybar/panels/scripts')
-rwxr-xr-xconfig/polybar/panels/scripts/launcher.sh64
-rwxr-xr-xconfig/polybar/panels/scripts/powermenu.sh139
-rwxr-xr-xconfig/polybar/panels/scripts/style-switch.sh69
-rwxr-xr-xconfig/polybar/panels/scripts/styles.sh88
4 files changed, 360 insertions, 0 deletions
diff --git a/config/polybar/panels/scripts/launcher.sh b/config/polybar/panels/scripts/launcher.sh
new file mode 100755
index 0000000..2d4ac1b
--- /dev/null
+++ b/config/polybar/panels/scripts/launcher.sh
@@ -0,0 +1,64 @@
+#!/usr/bin/env bash
+
+DIR="$HOME/.config/polybar/panels/menu"
+
+launcher() {
+ rofi -no-config -no-lazy-grab -show drun -modi drun -theme "$DIR"/"$theme"/launcher.rasi
+}
+
+if [[ "$1" = "--budgie" ]]; then
+ theme="budgie"
+ launcher
+
+elif [[ "$1" = "--deepin" ]]; then
+ theme="deepin"
+ launcher
+
+elif [[ "$1" = "--elight" ]]; then
+ theme="elementary"
+ launcher
+
+elif [[ "$1" = "--edark" ]]; then
+ theme="elementary_dark"
+ launcher
+
+elif [[ "$1" = "--gnome" ]]; then
+ theme="gnome"
+ launcher
+
+elif [[ "$1" = "--klight" ]]; then
+ theme="kde"
+ launcher
+
+elif [[ "$1" = "--kdark" ]]; then
+ theme="kde_dark"
+ launcher
+
+elif [[ "$1" = "--liri" ]]; then
+ theme="liri"
+ launcher
+
+elif [[ "$1" = "--mint" ]]; then
+ theme="mint"
+ launcher
+
+elif [[ "$1" = "--ugnome" ]]; then
+ theme="ubuntu_gnome"
+ launcher
+
+elif [[ "$1" = "--unity" ]]; then
+ theme="ubuntu_unity"
+ launcher
+
+elif [[ "$1" = "--xubuntu" ]]; then
+ theme="xubuntu"
+ launcher
+
+elif [[ "$1" = "--zorin" ]]; then
+ theme="zorin"
+ launcher
+
+else
+ rofi -e "No theme specified."
+ exit 1
+fi
diff --git a/config/polybar/panels/scripts/powermenu.sh b/config/polybar/panels/scripts/powermenu.sh
new file mode 100755
index 0000000..a8c9e73
--- /dev/null
+++ b/config/polybar/panels/scripts/powermenu.sh
@@ -0,0 +1,139 @@
+#!/usr/bin/env bash
+
+## Author : Aditya Shakya
+## Mail : adi1090x@gmail.com
+## Github : @adi1090x
+## Twitter : @adi1090x
+
+DIR="$HOME/.config/polybar/panels/menu"
+uptime=$(uptime -p | sed -e 's/up //g')
+
+if [[ "$1" = "--budgie" ]]; then
+ theme="budgie"
+
+elif [[ "$1" = "--deepin" ]]; then
+ theme="deepin"
+
+elif [[ "$1" = "--elight" ]]; then
+ theme="elementary"
+
+elif [[ "$1" = "--edark" ]]; then
+ theme="elementary_dark"
+
+elif [[ "$1" = "--gnome" ]]; then
+ theme="gnome"
+
+elif [[ "$1" = "--klight" ]]; then
+ theme="kde"
+
+elif [[ "$1" = "--kdark" ]]; then
+ theme="kde_dark"
+
+elif [[ "$1" = "--liri" ]]; then
+ theme="liri"
+
+elif [[ "$1" = "--mint" ]]; then
+ theme="mint"
+
+elif [[ "$1" = "--ugnome" ]]; then
+ theme="ubuntu_gnome"
+
+elif [[ "$1" = "--unity" ]]; then
+ theme="ubuntu_unity"
+
+elif [[ "$1" = "--xubuntu" ]]; then
+ theme="xubuntu"
+
+elif [[ "$1" = "--zorin" ]]; then
+ theme="zorin"
+
+else
+ rofi -e "No theme specified."
+ exit 1
+fi
+
+rofi_command="rofi -no-config -theme $DIR/powermenu.rasi"
+
+# Options
+shutdown=" Shutdown"
+reboot=" Restart"
+lock=" Lock"
+suspend=" Sleep"
+logout=" Logout"
+
+# Confirmation
+confirm_exit() {
+ rofi -dmenu\
+ -no-config\
+ -i\
+ -no-fixed-num-lines\
+ -p "Are You Sure? : "\
+ -theme $DIR/$theme/confirm.rasi
+}
+
+# Message
+msg() {
+ rofi -no-config -theme "$DIR/$theme/message.rasi" -e "Available Options - yes / y / no / n"
+}
+
+# Variable passed to rofi
+options="$lock\n$suspend\n$logout\n$reboot\n$shutdown"
+
+chosen="$(echo -e "$options" | $rofi_command -p "Uptime: $uptime" -dmenu -selected-row 0)"
+case $chosen in
+ $shutdown)
+ ans=$(confirm_exit &)
+ if [[ $ans == "yes" || $ans == "YES" || $ans == "y" || $ans == "Y" ]]; then
+ systemctl poweroff
+ elif [[ $ans == "no" || $ans == "NO" || $ans == "n" || $ans == "N" ]]; then
+ exit 0
+ else
+ msg
+ fi
+ ;;
+ $reboot)
+ ans=$(confirm_exit &)
+ if [[ $ans == "yes" || $ans == "YES" || $ans == "y" || $ans == "Y" ]]; then
+ systemctl reboot
+ elif [[ $ans == "no" || $ans == "NO" || $ans == "n" || $ans == "N" ]]; then
+ exit 0
+ else
+ msg
+ fi
+ ;;
+ $lock)
+ if [[ -f /usr/bin/i3lock ]]; then
+ i3lock
+ elif [[ -f /usr/bin/betterlockscreen ]]; then
+ betterlockscreen -l
+ fi
+ ;;
+ $suspend)
+ ans=$(confirm_exit &)
+ if [[ $ans == "yes" || $ans == "YES" || $ans == "y" || $ans == "Y" ]]; then
+ mpc -q pause
+ amixer set Master mute
+ systemctl suspend
+ elif [[ $ans == "no" || $ans == "NO" || $ans == "n" || $ans == "N" ]]; then
+ exit 0
+ else
+ msg
+ fi
+ ;;
+ $logout)
+ ans=$(confirm_exit &)
+ if [[ $ans == "yes" || $ans == "YES" || $ans == "y" || $ans == "Y" ]]; then
+ if [[ "$DESKTOP_SESSION" == "Openbox" ]]; then
+ openbox --exit
+ elif [[ "$DESKTOP_SESSION" == "bspwm" ]]; then
+ bspc quit
+ elif [[ "$DESKTOP_SESSION" == "i3" ]]; then
+ i3-msg exit
+ fi
+ elif [[ $ans == "no" || $ans == "NO" || $ans == "n" || $ans == "N" ]]; then
+ exit 0
+ else
+ msg
+ fi
+ ;;
+esac
diff --git a/config/polybar/panels/scripts/style-switch.sh b/config/polybar/panels/scripts/style-switch.sh
new file mode 100755
index 0000000..1a11840
--- /dev/null
+++ b/config/polybar/panels/scripts/style-switch.sh
@@ -0,0 +1,69 @@
+#!/usr/bin/env bash
+
+SDIR="$HOME/.config/polybar/panels/scripts"
+DIR="$HOME/.config/polybar/panels/menu"
+
+if [[ "$1" = "--budgie" ]]; then
+ theme="budgie"
+
+elif [[ "$1" = "--deepin" ]]; then
+ theme="deepin"
+
+elif [[ "$1" = "--elight" ]]; then
+ theme="elementary"
+
+elif [[ "$1" = "--edark" ]]; then
+ theme="elementary_dark"
+
+elif [[ "$1" = "--gnome" ]]; then
+ theme="gnome"
+
+elif [[ "$1" = "--klight" ]]; then
+ theme="kde"
+
+elif [[ "$1" = "--kdark" ]]; then
+ theme="kde_dark"
+
+elif [[ "$1" = "--liri" ]]; then
+ theme="liri"
+
+elif [[ "$1" = "--mint" ]]; then
+ theme="mint"
+
+elif [[ "$1" = "--ugnome" ]]; then
+ theme="ubuntu_gnome"
+
+elif [[ "$1" = "--unity" ]]; then
+ theme="ubuntu_unity"
+
+elif [[ "$1" = "--xubuntu" ]]; then
+ theme="xubuntu"
+
+elif [[ "$1" = "--zorin" ]]; then
+ theme="zorin"
+
+else
+ rofi -e "No theme specified."
+ exit 1
+fi
+
+# Launch Rofi
+MENU="$(rofi -no-config -no-lazy-grab -sep "|" -dmenu -i -p '' \
+-theme $DIR/$theme/styles.rasi \
+<<< " Budgie| Deepin| Elementary| Elementary_Dark| Gnome| KDE|\
+ KDE_Dark| Liri| Mint| Ubuntu_gnome| Ubuntu_unity| Xubuntu| Zorin|")"
+ case "$MENU" in
+ *Budgie) "$SDIR"/styles.sh --budgie ;;
+ *Deepin) "$SDIR"/styles.sh --deepin ;;
+ *Elementary) "$SDIR"/styles.sh --elight ;;
+ *Elementary_Dark) "$SDIR"/styles.sh --edark ;;
+ *Gnome) "$SDIR"/styles.sh --gnome ;;
+ *KDE) "$SDIR"/styles.sh --klight ;;
+ *KDE_Dark) "$SDIR"/styles.sh --kdark ;;
+ *Liri) "$SDIR"/styles.sh --liri ;;
+ *Mint) "$SDIR"/styles.sh --mint ;;
+ *Ubuntu_gnome) "$SDIR"/styles.sh --ugnome ;;
+ *Ubuntu_unity) "$SDIR"/styles.sh --unity ;;
+ *Xubuntu) "$SDIR"/styles.sh --xubuntu ;;
+ *Zorin) "$SDIR"/styles.sh --zorin ;;
+ esac
diff --git a/config/polybar/panels/scripts/styles.sh b/config/polybar/panels/scripts/styles.sh
new file mode 100755
index 0000000..fc627c7
--- /dev/null
+++ b/config/polybar/panels/scripts/styles.sh
@@ -0,0 +1,88 @@
+#!/usr/bin/env bash
+
+DIR="$HOME/.config/polybar/panels"
+
+change_panel() {
+ # replace config with selected panel
+ cat "$DIR"/panel/"${panel}.ini" > "$DIR"/config.ini
+
+ # Change wallpaper
+ feh --bg-fill "$DIR"/wallpapers/"$bg"
+
+ # Restarting polybar
+ polybar-msg cmd restart
+}
+
+if [[ "$1" = "--budgie" ]]; then
+ panel="budgie"
+ bg="budgie.jpg"
+ change_panel
+
+elif [[ "$1" = "--deepin" ]]; then
+ panel="deepin"
+ bg="deepin.jpg"
+ change_panel
+
+elif [[ "$1" = "--elight" ]]; then
+ panel="elementary"
+ bg="elementary.jpg"
+ change_panel
+
+elif [[ "$1" = "--edark" ]]; then
+ panel="elementary_dark"
+ bg="elementary_2.jpg"
+ change_panel
+
+elif [[ "$1" = "--gnome" ]]; then
+ panel="gnome"
+ bg="gnome.jpg"
+ change_panel
+
+elif [[ "$1" = "--klight" ]]; then
+ panel="kde"
+ bg="kde.jpg"
+ change_panel
+
+elif [[ "$1" = "--kdark" ]]; then
+ panel="kde_dark"
+ bg="kde_2.jpg"
+ change_panel
+
+elif [[ "$1" = "--liri" ]]; then
+ panel="liri"
+ bg="liri.png"
+ change_panel
+
+elif [[ "$1" = "--mint" ]]; then
+ panel="mint"
+ bg="mint.jpg"
+ change_panel
+
+elif [[ "$1" = "--ugnome" ]]; then
+ panel="ubuntu_gnome"
+ bg="ubuntu.jpg"
+ change_panel
+
+elif [[ "$1" = "--unity" ]]; then
+ panel="ubuntu_unity"
+ bg="ubuntu.jpg"
+ change_panel
+
+elif [[ "$1" = "--xubuntu" ]]; then
+ panel="xubuntu"
+ bg="xubuntu.png"
+ change_panel
+
+elif [[ "$1" = "--zorin" ]]; then
+ panel="zorin"
+ bg="zorin.png"
+ change_panel
+
+else
+ cat <<- _EOF_
+ No option specified, Available options:
+ --budgie --deepin --elight --edark --gnome --klight
+ --kdark --liri --mint --ugnome --unity --xubuntu
+ --zorin
+ _EOF_
+fi